> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/affiliate/api-affiliate-restore.md).

# /api/affiliate/restore

## PATCH /api/affiliate/restore

> Restore a deleted affiliate

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/affiliate/restore"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_affiliate_restore":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["loginid"]}}},"paths":{"/api/affiliate/restore":{"patch":{"description":"Restore a deleted affiliate","tags":["/api/affiliate/restore"],"parameters":[{"name":"loginid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore"}}}}}}}}}
```
